Python Paketi Yükleyici Sorular üçün istifadə edin
35
Cavablar

Pəncərəni necə quraşdırmaq olar?

pip easy_install üçün əvəz edir. Windows'ta easy_install istifadə edərək pip yükləməlisən? Daha yaxşı bir yol varmı?
20 yanvar təyin etdi '11 at 21:08
21
cavab

MacOS və ya OS X-də yükləmək üçün necə?

Dünən, mənim zamanımın çoxunu pik qurmaq üçün aydın cavab axtarırdılar (Python üçün paket meneceri). Yaxşı bir həll tapa bilmirəm. Necə qurmaq olar?
24 İyun tarixində saat 11:44 'də təyin olundu
51
cavab

Bütün paketləri pip ilə yeniləyir

Bütün Python paketlərini bir piyada ilə yüksəltmək mümkündürmü? Rəsmi izci problemi üçün bunun üçün bir xüsusiyyət tələbi olduğunu unutmayın.
27 apreldə təyin olundu '12 saat 12: 23'de
7
Cavablar

Pivdən istifadə edərək paketin müəyyən versiyalarının quraşdırılması

MySQL_python adapterinin 1.2.2 versiyasını - "site-paketləri" seçimi ilə yaradılmış yeni virtualenv istifadə edərək qurmağa çalışıram. PyPi-də göstərilən cari versiya 1.2.3-dir. Köhnə versiyanı quraşdırmanın bir yolu varmı? Bir məqalə tapdım ki ...
08: 08 'də saat 01: 58-də təyin olundu
9
Cavablar

Easy_install üzərindən niyə istifadə edin?

Bir tweet deyir: Əgər üzünüzdə özünüzü əymək kimi istifadə etmirsinizsə, easy_install istifadə etməyin. Piyi istifadə edin. Easy_install üzərindən niyə istifadə edin? PyPI və paket müəllifləri ilə bağlı problem əsasən deyil? Müəllif yüklədiyində arşivlenmiş ar ...
10 İyul tarixində saat 21: 35-də təyin olundu
41
cavab

Səhv: vcvarsall.bat tapa bilmədi

Python dulwich paketini qurmağa çalışdım: pip quraşdırma dulwich Amma şifreli bir səhv mesajı aldım: səhv: vcvarsall.bat tapa bilmirəm Paketi əl ilə qurmağa çalışdığımda eyni şey olur:> python setup.py install ...
12 may tarixində saat 13: 00-da təyin olundu
23
Cavablar

Yerli quraşdırılmış Python modullarının siyahısını necə əldə edə bilərəm?

Mənim Python quraşdırma (UNIX server) Python modullarının siyahısını almaq istəyirəm. Kompüterinizə quraşdırılmış Python modullarının siyahısını necə əldə edə bilərsiniz?
11 apreldə təyin olundu '09 saat 15:34 'da
10
Cavablar

Yerli dizindəki requirements.txt faylına uyğun olaraq paketləri paketlə necə quraşdırmaq olar?

İşdə problem var. Lazım fayl var. belə görünür: BeautifulSoup == 3.2.0 Django == 1.3 Fabric == 1.2.0 Jinja2 == 2.5.5 PyYAML == 3.09 Pygments == 1.4 SQLAlchemy == 0.7.1 Cənubi == 0.7.3 amqplib == 0.6. 1 anyjson == 0.3 ... Mənim yerli arxiv siyahım var ...
29 avqust istədi . 6:53 'da 11
19
Cavablar

pip install mysql-python EnvironmentError ilə işləmir: mysql_config tapılmadı

MySQL-python-1.2.3.tar.gz (70Kb) Yükləmə / açmaq MySQL-python-1.2.3.tar.gz (70Kb) Yükləmə / açmaq mənim səhvdir (mysite) zjm1126 @ zjm1126-G41MT-S2: ~ / zjm_test / mysite $ pip install mysql-python 70Kb yükləndi setup.py egg_info paket m ...
03.03 'də 11:32' də təyin olundu
11
Cavablar

Python paketini .whl faylı ilə necə qurmaq olar?

Windows cihazımda Python paketini (xüsusən, JPype1 0.5.7) yükləyərkən problemlər yaşayır və Crystaloph ikili Gohlke Window fayllarını istifadə edərək qurmaq istəyirlər. (Hansı, mənim təcrübə, bir çox digər üçün yayğın ən azaldılır ...
11 Yanvar təyin etdi '15 saat 11:48 'da
10
Cavablar

Paketin hansı versiyasının pip ilə quraşdırıldığını öyrənin

Pivdən istifadə edərək, paketin hansı versiyasının hazırda quraşdırıldığını müəyyən etmək mümkündürmü? XYZ yükləməsi haqqında məlumatım var - yeniləmə, amma təəccüb məlumatı XYZ kimi bir şey var mı deyə bilərəm. Nə istifadə etməli olduğumu söyləmək üçün ən yaxşı yol nədir?
18 Aprel tarixində təyin olundu '12 saat 20:37 'da
4
Cavablar

boru rep rop filialından yükləyin

Müəyyən bir sənaye üçün repo verməyə çalışmaq. Google mənə pip install go + https://github.com/user/repo.git@branch deyir. Filialın adı məsələdir / 34 / oscar-0.6 belə ki, mən pp quraşdırma https://github.com/tangentlabs/django-oscar-paypal .git @ / issue / 34 ...
20 Noyabr tarixində təyin olundu '13 saat 19:46 'da
10
Cavablar

Pip və konda arasındakı fərq nədir?

Piytonun python paketləri üçün paket meneceri olduğunu bilirəm. Lakin, IPython veb saytında quraşdırma IPython qurmaq üçün conda istifadə etdiyini gördüm. IPython'u qurmaq üçün pip istifadə edə bilərəmmi? Niyə bir conda kimi istifadə etməlidir ...
08 yanvar təyin etdi '14 14:44 'da
25
Cavablar

Python'da "pip" istifadə edərək psycopg2 qurmaq necə?

Virtualenv istifadə edirəm və "psycopg2" qurmaq lazımdır. Aşağıdakıları etdiniz: pip yüklə http://pypi.python.org/packages/source/p/psycopg2/psycopg2-2.4.tar.gz#md5=24f4368e2cfdc1a2b03282ddda814160 Və məndə aşağıdakı mesajlar var: Yükləmə ...
24 Mart saat 17: 33-də təyin olunmalıdır
26
Cavablar

pg_config executable fayl tapılmadı

Psycopg2 qurarkən problem yaşıyorum. Psycopg2 yüklemek üçün çalışırken aşağıdakı səhv alıram: Error: pg_config executable tapılmadı. PATH pg_config olan kataloq əlavə edin və ya ...
İyulun 23-də saat 12: 00-da 22:09